%define major		0.8
%define libname		%mklibname quotient %{major}
%define develname	%mklibname quotient -d

%bcond_without e2ee

Name:		libquotient
Version:	0.8.1.1
Release:	%mkrel 1
Summary:	Qt5 library to write cross-platform clients for Matrix
Group:		System/Libraries
License:	LGPLv2+
URL:		https://github.com/quotient-im/libQuotient
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	ninja-build
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires: lib64olm-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5keychain-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5test-devel

%if %{with e2ee}
%endif

%description
The Quotient project aims to produce a Qt5-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{libname}
Summary:	Qt5 library to write cross-platform clients for Matrix
Group:		System/Libraries

%description -n	%{libname}
The Quotient project aims to produce a Qt5-based SDK to develop applications
for Matrix. libQuotient is a library that enables client applications. It is
the backbone of Quaternion, Spectral and other projects. Versions 0.5.x and
older use the previous name - libQMatrixClient.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	quotient-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n libQuotient-%{version}

rm -rf 3rdparty

%build
%cmake \
    -DCMAKE_BUILD_TYPE=Release \
%if %{with e2ee}
    -DQuotient_ENABLE_E2EE:BOOL=ON \
%else
    -DQuotient_ENABLE_E2EE:BOOL=OFF \
%endif
    -DQuotient_INSTALL_TESTS:BOOL=OFF \
    -DQuotient_INSTALL_EXAMPLE:BOOL=OFF
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_datadir}/ndk-modules

%files -n %{libname}
%{_libdir}/libQuotient.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/Quotient/
%{_libdir}/cmake/Quotient/
%{_libdir}/pkgconfig/Quotient.pc
%{_libdir}/libQuotient.so


%changelog
* Fri Sep 15 2023 - 0.8.1.1-1pclos2023
- import for neochat
